Newcertbro for Linux

Open-source CLI for TLS automation, DNS DCV, and unattended renewals.

Explore certbro
regfish
DNS automation
v1.6.2
Download OpenAPI
List DNS zones
List DNS zones with SOA data, delegated nameservers, DNSSEC status, and record counts.
GET
/dns/zones
DNSZones

Authentication

x-api-key

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/dns/zones' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
DNS zone list
application/jsondnsZoneSummaryResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": [
    {
      "domain": "www.example.com",
      "origin": "www.example.com.",
      "active": true,
      "signed": true,
      "using_regfish_nameservers": true,
      "delegation_nameservers": [
        {}
      ],
      "soa": {
        "primary_nameserver": "www.example.com.",
        "mailbox": "www.example.com.",
        "serial": 1,
        "refresh": 1,
        "retry": 1,
        "expire": 1,
        "minimum": 1,
        "ttl": 1
      },
      "record_count": 1,
      "dnssec_state": "active"
    }
  ]
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Become part of the community

The Regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every Regfish customer.

Cart
 
Total
€0.00
All prices include VAT.
We use cookies to provide the best possible experience. Choose your preferences for cookie usage. Privacy policy